commit: 0e76f205f6333c4dae37b87c2e5948f4f044dc6c
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 6 17:55:07 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Sep 6 17:55:07 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e76f205
dev-python/cryptography: Version Bump
Package-Manager: portage-2.2.20.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/cryptography/Manifest | 1 +
dev-python/cryptography/cryptography-1.0.1.ebuild | 45 +++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/dev-python/cryptography/Manifest b/dev-python/cryptography/Manifest
index 2cf50ad..e23e190 100644
--- a/dev-python/cryptography/Manifest
+++ b/dev-python/cryptography/Manifest
@@ -7,4 +7,5 @@ DIST cryptography-0.8.2.tar.gz 268288 SHA256
1c9a022ab3decaf152093e2ef2d5ee4258c
DIST cryptography-0.8.tar.gz 268083 SHA256
e54601e4dec2b8acb90f5ed3b93d23d280964adbefe1723ac82acc453a694480 SHA512
e17d2d31f1d6da782eb3531ca9dded14e137ddc61893ef17a8238997274a85e77e8a957e1eec3ed3960675694f97750ca1f6821a2e8d974795bca3b2be49e196
WHIRLPOOL
ecef7a807934006ce2266ba0636a9a8b5bd30a49931ba9c83dabbd1bd6b47523dd3d32205d1ac4f94f2a8bfe4c1b23ac36fcddf4092d9e756beda74379dfc7dd
DIST cryptography-0.9.2.tar.gz 302972 SHA256
bc9ddd1442ce67a5bbd5598eced127de000da55f0ce25498b1174746c0290b3c SHA512
3d13f0284d484911b1f7067966f3727de9019d24af379b1adb1e0377888680b9385792e481888d2b357bce20f250a948c22b34743b4aeb955d736e8ae9ca88da
WHIRLPOOL
0832bfdaff40e89750d92ffd5298be5c39fc1b4606ee7f769a68fb469e9e2175837f1b3f660f774a793538e050f2081fd69201f882a5bd77713e1bacd3115370
DIST cryptography-0.9.3.tar.gz 303075 SHA256
aed022f738dd9adb840d92960b0464ea1fbb222ba118938858eb93fe25151c2d SHA512
828dd6d3af940c91f77b9bcefb34ca9cc3ac05606d707889ff35bf708c3536414db46f8db7d7dcbffe2ad1f82834bc9edab1b28b05fee3f2a5f9f5a56abd697c
WHIRLPOOL
33eb42741cf2426ffe16d50d0f555fee65637d812f9510016ceb708f9c591f38de2d65e4b4118f744ff9b73596727160501ec5d077bfe0935d088586909b979d
+DIST cryptography-1.0.1.tar.gz 332242 SHA256
cfe3092a6a929bc3a97c3b752044b79d09c9b210860c7b4eb5061aea29dcbfd3 SHA512
a813084f09113baf17ea344dc2bc71fc09a164908661e8a469997c5212a30c09f65b87f84df0f2c70a38b3529faeb78e08430054d065bd46fc625a1bd62d1ddb
WHIRLPOOL
f7039799f11da6f95826936e5279d8e9be8971af33601058a910a34d62e1f53879ce93fb69dbd3909d3a2890680c1dabc3a5ce812b34c6882764aafd9ab0ce94
DIST cryptography-1.0.tar.gz 331438 SHA256
211c02fe77d791d7fc437227ba1c046268d5da665e05d8a53fc19f4f74c21001 SHA512
a4e4f8b054a357e0856a67b246ba770f38222f45f0d8c3185bdfe20593f4d5a20d2082a0c7b9986d5b557dc2b43a0903bcb37eba10e4ca1d83f903fea6c39753
WHIRLPOOL
c36bead358e8d30785f3d565366a0a8ec7b356cd31274aac7d0fe0286d36af52916fb3840000d22c53e487d26adb6d42b6dd69d1d7d5aed2fe20dc8cbef86e77
diff --git a/dev-python/cryptography/cryptography-1.0.1.ebuild
b/dev-python/cryptography/cryptography-1.0.1.ebuild
new file mode 100644
index 0000000..8975371
--- /dev/null
+++ b/dev-python/cryptography/cryptography-1.0.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+# only works with >=pypy-2.6
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/
https://pypi.python.org/pypi/cryptography/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-libs/openssl:0
+ $(python_gen_cond_dep '>=dev-python/cffi-1.1.0:=[${PYTHON_USEDEP}]'
'python*')
+ $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7
python3_3 pypy)
+ >=dev-python/idna-2.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/ipaddress[${PYTHON_USEDEP}]'
python2_7 pypy)
+ >=dev-python/pyasn1-0.1.8[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=virtual/pypy-2.6.0' pypy )
+ "
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}]
+ )"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+ py.test -v || die "Tests fail with ${EPYTHON}"
+}